package cn.fateverse.common.core.utils;

import cn.fateverse.common.core.exception.CustomException;
import cn.hutool.core.util.StrUtil;

public class AssertUtil {


    /**
     * 断定为 true. 非 true 时抛出异常.
     *
     * @param condition 条件
     * @param message   异常枚举
     * @param args      需要 format 的参数
     */
    public static void isTrue(boolean condition, String message, Object... args) {
        if (!condition) {
            throw new CustomException(StrUtil.format(message, args));
        }
    }


    /**
     * 断定为 false. 非 false 时抛出异常.
     *
     * @param condition 条件
     * @param message   异常枚举
     * @param args      arg游戏
     */
    public static void isFalse(boolean condition, String message, Object... args) {
        if (condition) {
            throw new CustomException(StrUtil.format(message, args));
        }
    }
}
